# $Revision: 1.6 $, $Date: 2002/04/12 18:09:52 $
%define		_fver	%(echo %{version} | tr . _)
Summary:	Portable corewar system with ICWS'94 extensions
Summary(pl):	Przenony system Wojen Rdzeniowych z rozszerzeniami ICWS'94
Name:		pmars
Version:	0.8.6
Release:	3
License:	Freeware
Group:		Applications/Games
Source0:	http://www.koth.org/%{name}/%{name}-%{_fver}_tar.gz
Source1:	corewars.tar.gz
BuildRequires:	XFree86-devel
BuildRequires:	ncurses-devel
BuildRequires:	vim-static
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_xbindir	/usr/X11R6/bin

%description
Core War is a game in which two or more virus-like programs fight
against each other in a simulated memory space or core. Core War
programs are written in an assembly language called Redcode which is
interpreted by a Core War simulator or MARS (Memory Array Redcode
Simulator). The object of the game is to prevent the other program(s)
from executing. For more information about Core War check out the
usenet newsgroup rec.games.corewar and its FAQ list
ftp://rtfm.mit.edu/pub/usenet/games/corewar-faq

%description -l pl
Wojny Rdzeniowe s gr w ktrej dwa lub wicej programw podobnych do
wirusw walczy ze sob w symulowanej przestrzeni adresowej (rdzeniu.)
Programy te pisane s w assemblerze nazwanym Redcode, ktry jest
interpretowany przez symulator Wojen Rdzeniowych, MARS (Memory Array
Redcode Simulator.) Celem gry jest zapobieenie wykonywaniu
pozostaych programw. Aby dowiedze si wicej o Wojnach Rdzeniowych
sprawd grup dyskusyjn rec.games.corewar i jej FAQ
ftp://rtfm.mit.edu/pub/usenet/games/corewar-faq

%package x11
Summary:	pmars with X11 graphics
Summary(pl):	pmars z reprezentacj na X11
Group:		X11/Applications/Games

%description x11
pmars with X11 graphics.

%description x11 -l pl
pmars z reprezentacj na X11.

%package curses
Summary:	pmars with curses graphics
Summary(pl):	pmars z reprezentacj na curses
Group:		Applications/Games

%description curses
pmars with curses graphics.

%description curses -l pl
pmars z reprezentacj na curses.

%prep
%setup -q -a 1

%build
# X11 version
%{__make} CC=%{__cc} \
	CFLAGS="%{rpmcflags} -DEXT94 -DXWINGRAPHX" \
	LIB="%{rpmldflags} -L%{_prefix}/X11R6/lib -lX11" \
	MAINFILE="xpmars"
%{__make} clean

# curses version
%{__make} CC=%{__cc} \
	CFLAGS="%{rpmcflags} -DEXT94 -DCURSESGRAPHX -I%{_includedir}/ncurses" \
	LIB="%{rpmldflags} -lncurses" \
	MAINFILE="cpmars"
%{__make} clean

# batch version
%{__make} CC=%{__cc} \
	CFLAGS="%{rpmcflags} -DEXT94" \
	LIB="%{rpmldflags}"

# TODO: svgalib version

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_xbindir},%{_mandir}/man6}

install {,c}pmars	$RPM_BUILD_ROOT%{_bindir}
install xpmars		$RPM_BUILD_ROOT%{_xbindir}
install pmars.6		$RPM_BUILD_ROOT%{_mandir}/man6

mkdir examples
for i in *.red ; do mv -f $i examples ; done

gzip -9nf README CONTRIB primer.94 primer.cdb redcode.ref whatsnew.080

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz *.opt *.mac
%doc examples
%lang(pl) %doc corewars-pl/*
%attr(755,root,root) %{_bindir}/pmars
%{_mandir}/man6/*

%files x11
%defattr(644,root,root,755)
%attr(755,root,root) %{_xbindir}/xpmars

%files curses
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/cpmars

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: pmars.spec,v $
Revision 1.6  2002/04/12 18:09:52  marcus
- added BR vim-static (makefile uses ex)
- rel.3.

Revision 1.5  2002/03/27 11:18:32  roman
s/freeware/Freeware in License

Revision 1.4  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.3  2002/02/17 16:51:17  wolf
- release 2
- added some polish articles

Revision 1.2  2002/02/14 13:03:22  qboosh
- adapterized, nonempty descriptions, left X11 only in -x11 Groups

Revision 1.1  2002/02/14 08:03:56  wolf
- initial release
